import Qt 4.7
import "../fonts" as Fonts

Item
{
    id:comboButton
    objectName: "comboButton"
	property variant standartFontStyles: Fonts.Common{}

    property variant actionList
    property int defaultAction: 0

    property Item style: GrayStyle {}

    property bool showMenuAtArrow: true
    property int maxWidth
    property int minWidth
    height: childrenRect.height
    width: childrenRect.width
    signal pressed(int index)

    // internal use only!
    property variant menu
    property string defaultText
    property bool isDefaultEnabled
    property QtObject tempElement // Helper. For a correct object cast
    property bool isTempElementActionEnabled: tempElement ? tempElement.action.IsEnabled : false;
	onIsTempElementActionEnabledChanged: isDefaultEnabled = isTempElementActionEnabled
	
    onActionListChanged: initMainButton();
    function initMainButton()
    {
		if(defaultAction < actionList.length)
		{
			tempElement = actionList[defaultAction];
            defaultText = tempElement.name;
            isDefaultEnabled = tempElement.action.IsEnabled
		}
    }

    function populateMenu()
    {
        if(comboButton.menu != undefined)
            comboButton.menu.destroy();
        if(actionList == undefined)
            return;

        var menuText = 'import QtWidgetProxies 1.0; PopupMenu{';
        menuText += ' styleSheet: "border-width:1px; border-style: solid; border-color: rgb(170, 170, 170);';
        menuText += ' background-color: rgb(255, 255, 255);selection-background-color: rgb(26, 152, 133); font:10pt FranklinGothicMediCondTT;";'
        menuText += ' items: ['
        var elementIndex = 0;
        while(elementIndex < actionList.length)
        {
            if (elementIndex != defaultAction)
            {
	            if((elementIndex > 0 && defaultAction != 0) || (elementIndex > 1))
	                menuText +=',';
	            tempElement = actionList[elementIndex];
	            menuText += 'PopupMenuAction{text : "';
	            menuText += tempElement.name;
	            menuText += '";enabled : ';
	            menuText += tempElement.action.IsEnabled;
	            menuText += '; onTriggered:comboButton.pressed(';
	            menuText += elementIndex;
	            menuText += ') }';
	        }
            ++elementIndex;
        }
        menuText += ']}';
        menu = Qt.createQmlObject(menuText, comboButton, "dynamicMenu");

        initMainButton();
    }
    
    function getNearRect(button)
    {
        return Qt.rect(button.x, button.y, button.width, button.height)
    }

    Button
    {
        id: textButton
        buttonHeight: 30
        backgroundImage: arrowButton.visible ? style.leftComboNormalImage : style.buttonNormalImage
        hoverImage: arrowButton.visible ? style.leftComboHoverImage : style.buttonHoverImage
        pressedImage: arrowButton.visible ? style.leftComboPressedImage : style.buttonPressedImage
        textcolor: style.textColor
        text: comboButton.defaultText
        textStyle: style.textStyle
        textStyleColor: style.textStyleColor
        horizontalMargin: 10
        enabled: comboButton.isDefaultEnabled;
        onClicked: comboButton.pressed(comboButton.defaultAction);
        maxWidth: comboButton.maxWidth ? comboButton.maxWidth - arrowButton.width : 0
        minWidth: comboButton.minWidth ? comboButton.minWidth - arrowButton.width : 0
    }
    Button
    {
        id: arrowButton
        anchors.left: textButton.right
        buttonHeight: textButton.height
        visible: actionList.length > 1
        buttonWidth: visible ? 30 : 0
        backgroundImage: style.rightComboNormalImage
        hoverImage: style.rightComboHoverImage
        pressedImage: style.rigthComboPressedImage
        horizontalMargin:2
        borderWidth:1
        onClicked:
        {
            comboButton.populateMenu();
            comboButton.menu.ShowNearItem(comboButton.getNearRect(comboButton.showMenuAtArrow ? arrowButton : textButton));
        }
    }
}
