import Qt 4.7
import "../fonts" as Fonts

Rectangle
{
    id:editBox
    property variant fontStyles: Fonts.Common{}
    property int margin: 6
    property bool isPassword: false
    property alias text: edit.text
    property alias textfont: edit.font
	property real minHeight: 30

    property alias isActiveFocus: edit.activeFocus
    function setActiveFocus(delay)
    {
    	if (delay)
    	{
    		activateTimer.interval = delay;
		activateTimer.running = true;
    	}
    	else
    		edit.forceActiveFocus();
    }

	height: Math.max(edit.height + 2 * margin, minHeight)
    border.color:
    {
        if (!enabled)
            return "#dcdcdc"
        if (activeFocus)
            return "#006455"
        return "#9a9a9a"
    }

    border.width: 1
    radius: 3
    color:"transparent"

    EditableMessageArea{anchors.fill: edit}

    TextInput
    {
        id: edit
        font: editBox.fontStyles.standardEditBoxFont
        anchors.left:parent.left
        anchors.right:parent.right
        anchors.leftMargin:editBox.margin
        anchors.rightMargin:editBox.margin
        anchors.verticalCenter: parent.verticalCenter
        autoScroll: true
        selectByMouse:true
        echoMode: editBox.isPassword ? TextInput.Password : TextInput.Normal;
        onActiveFocusChanged:
        {
            activateTimer.running = false;
        }
        Timer
        {
                id: activateTimer;
                running: false;
                onTriggered: edit.forceActiveFocus();
        }
    }
}
