import Qt 4.7

Item {
	id: progressbar
	width: 340
	height: 28

	property int percent: 0
	property color color: "white" // rest color
	property color progressColor: "#e5e5e5" // done color
	property color borderColor: "#a4a4a4" // border color
	property int radius: 0

	function getProgressWidth()
	{
		if (percent <= 0)
			return 0;
		if (percent >= 100 )
			return progressbar.width;
		return progressbar.width * percent / 100;
	}

	// first paint with border color (for vertical separating line)
	Rectangle
	{
		anchors.fill: parent
		border.color: progressbar.borderColor
		color: progressbar.borderColor
		radius: progressbar.radius
	}
	// progress area is rounded rect on whole progress bar, left clipped until vertical separator line
	Item
	{
		anchors.fill: parent
		anchors.rightMargin: parent.width - getProgressWidth()
		clip: true
		Rectangle
		{
			anchors.fill: parent
			anchors.rightMargin: parent.width - progressbar.width
			border.color: progressbar.borderColor
			color: progressbar.progressColor
			radius: progressbar.radius
		}
	}
	// rest area is rounded rect on whole progress bar, right clipped until vertical separator line
	Item
	{
		anchors.fill: parent
		anchors.leftMargin: getProgressWidth() + 1
		clip: true
		Rectangle
		{
			anchors.fill: parent
			anchors.leftMargin: parent.width - progressbar.width
			border.color: progressbar.borderColor
			color: progressbar.color
			radius: progressbar.radius
		}
	}
}
