import Qt 4.7

Item
{
    id:radioGroup
    objectName: "radioGroup"
    ListModel
    {
        id:buttons;
    }
    function registerRadioButton(button)
    {
        var nextIndex = buttons.count;
        var str = 'import Qt 4.7; Connections {';
        str += 'ignoreUnknownSignals:true;'
        str += 'onCheckedChanged:{ radioGroup.setButtonChecked(' + nextIndex + '); }';
        str += 'onKeyboardNavigate:{ radioGroup.keyboardKeyPressed(forward, ' + nextIndex + '); } ';
        str += '}';

        var connector = Qt.createQmlObject(str, radioGroup, "dynamicConnector");
        buttons.append({"button":button, "connector":connector });
        buttons.get(nextIndex).connector.target =  buttons.get(nextIndex).button;
    }

    property bool inCheckSequence: false
    function setButtonChecked(buttonIndex)
    {
        if(!inCheckSequence)
        {
            inCheckSequence = true;
            var count = buttons.count;
            var button = 0;
            while(button < count)
            {
                buttons.get(button).button.checked = (button == buttonIndex);
                ++button;
            }
            inCheckSequence = false;
        }
    }

    function setButtonFocused(buttonIndex)
    {
        buttons.get(buttonIndex).button.focus = true;
    }

    function getNextIndex(forward, buttonIndex)
    {
        var count = buttons.count;
        var newIndex = buttonIndex;
        if(forward && newIndex + 1 < count)
            ++newIndex;
        else if(!forward && newIndex > 0)
            --newIndex;
        return newIndex;
    }

    function keyboardKeyPressed(forward, buttonIndex)
    {
        var newIndex = getNextIndex(forward, buttonIndex);
        setButtonChecked(newIndex);
        setButtonFocused(newIndex);
    }
}
