import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Widgets.PageFrame
{
    property variant context: MainWindow.endOfLicense
    property variant fontStyles: Fonts.Common{}

    anchors.fill: parent
    id:	endOfLicense
    objectName: "endOfLicense"
    windowDescriptionText: context.Localize("EndOfLicense_Header")
    hasBanner: false

    Item
    {
        id: mainWorkingArea
        objectName: "mainWorkingArea"
        anchors.fill: parent
        anchors.topMargin: 65
        anchors.leftMargin: 40
        anchors.bottomMargin: 55
        anchors.rightMargin: 11
        clip: true

        Image
        {
            y: 4
            id: endOfLicenseIcon
            source: "../common/images/ico_warning_48.png"
        }
        Column
        {
            anchors.top: parent.top
            anchors.left: endOfLicenseIcon.right
            anchors.bottom: parent.bottom
            anchors.right: parent.right
            spacing : 30
            objectName: "column"

            Item
            {
                id: descriptionBlock
                objectName: "descriptionBlock"
                anchors.left: parent.left
                anchors.right: parent.right
                anchors.leftMargin: 30
                anchors.rightMargin: 30
                anchors.top: parent.top
                height: childrenRect.height

                Widgets.StandardCaptionText
                {
                        id: title
                        anchors.left: parent.left
                        anchors.right: parent.right
                        anchors.rightMargin: 30
                        text: context.title
                        wrapMode: Text.Wrap
                }

                Text
                {
                        id: checkedTitle
                        anchors.top: title.bottom; anchors.topMargin: 15;
                        anchors.left: parent.left;
                anchors.right: parent.right;

                        font: fontStyles.standardCommonTextFont
                        color: "#333333"
                        text: context.Localize("EndOfLicense_Checked_Title");
                        wrapMode: Text.Wrap
                }

                Text
                {
                        id: checkedDescription
                        anchors.top: checkedTitle.bottom; anchors.topMargin: 5;
                        anchors.left: title.left;
                        anchors.right: parent.right;

                        font: fontStyles.standardCommonTextFont
                        color: "#777777"
                        text: context.checked;
                        wrapMode: Text.Wrap
                }

                Text
                {
                        id: detectedTitle
                        anchors.top: checkedDescription.bottom; anchors.topMargin: 15;
                        anchors.left: title.left;
                anchors.right: parent.right;

                        font: fontStyles.standardCommonTextFont
                        color: "#333333"
                        text: context.Localize("EndOfLicense_Detected_Title");
                        wrapMode: Text.Wrap
                }

                Text
                {
                        id: detectedDescription
                        anchors.top: detectedTitle.bottom; anchors.topMargin: 5;
                        anchors.left: title.left;
                anchors.right: parent.right;

                        font: fontStyles.standardCommonTextFont
                        color: "#777777"
                        text: context.detected;
                        wrapMode: Text.Wrap
                }

                Widgets.Hyperlink
                {
                        id: report
                        objectName: "report"
                        anchors.top: detectedDescription.bottom; anchors.topMargin: 5;
                        anchors.left: title.left;

                        text: context.Localize("EndOfLicense_Report");
                        onClicked: MainWindow.startPage.ShowReports();
                }
            }

            Widgets.ChoiceBar
            {
                id:choiceBar
                objectName: "choiceBar"
                anchors.left: descriptionBlock.left;
                anchors.right: parent.right

                clip: true

                function calcMaxHeight()
                {
                        var available = parent.height - y - 8; // bottomMargin:8
                        return contentHeight < available ? contentHeight : available;
                }
                maxHeight:calcMaxHeight()

                caption: context.status
                description: context.hint
                buttonListModel: context.KeyBlockButtonList
                model: context
            }
        }
    }
}
