import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item
{
	objectName: "advancedTool"
	property alias iconSource: icon.source
	property alias titleText: title.text
	property alias descriptionText: description.text
	property alias actionButtonText: actionButton.text
	property alias hasSeparator: separator.visible
	property variant action

	property variant commonFontStyles: Fonts.Common{}
	property int indent: 20

	width: parent.width
	height: parent.height / 4

	Image
	{
		id: separator
		source: "../common/images/inner/list_separator.png"
		width: parent.width
		anchors.top: parent.top
	}

    Item
    {
        id: info
        height: description.y + description.height
        width: parent.width
        anchors.verticalCenter: parent.verticalCenter

        Image
        {
            id: icon
            anchors
            {
                top: parent.top
                left: parent.left
                leftMargin: indent
            }
        }

        Text
        {
            id: title
            anchors
            {
                left: icon.right
                leftMargin: indent
                top: parent.top
                right: parent.right
                rightMargin: indent
            }
            font: commonFontStyles.standardSmallCaptionFont
            wrapMode: Text.WordWrap
        }

        Text
        {
            id: description
            anchors
            {
                left: title.left
                top: title.bottom
                topMargin: 4
            }
            width: 470
            font: commonFontStyles.standardCommonTextFont
            wrapMode: Text.WordWrap
            Widgets.DPIScaler { changeWidth: true }
        }

        Widgets.GrayButton
        {
            id: actionButton
            objectName: "actionButton"

            anchors
            {
                right: parent.right
                left: description.right
                leftMargin: indent
                rightMargin: indent
                verticalCenter: parent.verticalCenter
            }
            onClicked: action.Invoke()
        }
    }
}
