import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item {
	id: mainFooter
	objectName: "MainFooter"
	property variant fontStylesFont: Fonts.Fonts{}
	property color textColor
	property color textcolorHovered: textColor
	property color textcolorPressed: textcolorHovered

	property color shadowColor
	property bool shadowAtTop

	Component
	{
		id: mainFooterButton
		Widgets.Button
		{
			textfont: fontStylesFont.footerFont;
			textcolor: mainFooter.textColor
			textcolorHovered: mainFooter.textcolorHovered
			textcolorPressed: mainFooter.textcolorPressed

			property int tabOrder: parent.tabOrderValue
			textStyleColor: mainFooter.shadowColor
			textStyle: mainFooter.shadowAtTop ? Text.Sunken : Text.Raised
			text: parent.text
			onClicked: parent.action()
			objectName: "Button"
			anchors.verticalCenter: parent.verticalCenter
			anchors.verticalCenterOffset: mainFooter.shadowAtTop ? 0 : 0
		}
	}

	Row
	{
		id: leftRow
		objectName: "LeftRow"
		anchors.left: parent.left
		anchors.leftMargin: 18
		anchors.verticalCenter: parent.verticalCenter
		spacing: 18
		Loader
		{
			objectName: "Help"
			sourceComponent: mainFooterButton
			property string text: MainWindow.startPage.Localize("Help")
			property int tabOrderValue: 401
			function action()
			{
				Help.Show(mainFooter.parent.getHelpId());
			}
		}
		Loader
		{
			objectName: "Support"
			sourceComponent: mainFooterButton
			property string text: MainWindow.startPage.Localize("Support")
			property int tabOrderValue: 402
			function action() { MainWindow.InvokeSkinAction("window(\"SupportWindow\")") }
		}
		Loader
		{
			objectName: "PersonalCabinet"
			sourceComponent: mainFooterButton
			property string text: MainWindow.startPage.Localize("PersonalCabinet")
			property int tabOrderValue: 403
			function action() { MainWindow.InvokeSkinAction("url($PersonalCabinetLink)") }
		}
	}

	Loader
	{
		objectName: "License"
		sourceComponent: mainFooterButton
		anchors.right: parent.right
		anchors.rightMargin: 18
		y: leftRow.y
		property string text: MainWindow.licenseButtonText
		property int tabOrderValue: 404
		function action() { MainWindow.ShowLicenseManagerAction.Invoke(); }
	}
}
