function makeWindowSkinCommand(windowName)
{
    return "window(\"" + windowName + "\")";
}
function makeWindowSkinCommandNoQuotes(windowName)
{
    return "window(" + windowName + ")";
}

var generalSearchData = [
        {
            listItem : "Scan",
            panel : "panelScan",
            oldAction: undefined,
            imageSource: "../common/images/main_window/search/ico_scan_green.png",
            searchKeys : "ScanSearchKeys"
        },
        {
            listItem : "Tools",
            panel : "panelTools",
            oldAction: undefined,
            imageSource: "../common/images/main_window/search/ico_tools_48_green.png",
            searchKeys : "ToolsSearchKeys"
        },
        {
            listItem : "Virtualkeyboard",
            panel : undefined,
            oldAction : makeWindowSkinCommand("VirtualKeyboard"),
            imageSource: "../common/images/main_window/search/ico_virtual_keyboard_green.png",
            searchKeys : "VirtualkeyboardSearchKeys"
        },
        {
            listItem : "Quarantine",
            panel : undefined,
            oldAction : makeWindowSkinCommand("QB_Storage"),
            imageSource: "../common/images/main_window/search/ico_quarantine_green.png",
            searchKeys : "QuarantineSearchKeys"
        },
        {
            listItem : "Support",
            panel : undefined,
            oldAction : makeWindowSkinCommand("SupportWindow"),
            imageSource: "../common/images/main_window/search/ico_support_green.png",
            searchKeys : "SupportSearchKeys"
        },
        {
            listItem : "Updater",
            panel : "panelUpdater",
            oldAction: undefined,
            imageSource: "../common/images/main_window/search/ico_update_bases_green.png",
            searchKeys : "UpdaterSearchKeys"
        },
        {
            listItem : "LicenseManager",
            panel : "panelLicenseManager",
            oldAction: undefined,
            imageSource: "../common/images/main_window/search/ico_license_management_green.png",
            searchKeys : "LicenseManagerSearchKeys"
        },
        {
            listItem : "ProductInfo",
            panel : undefined,
            oldAction: makeWindowSkinCommand("ProductInfo"),
            imageSource: "../common/images/main_window/search/ico_about_green.png",
            searchKeys : "ProductInfoSearchKeys"
        },
];
var kisSpecificSearchData = [
        {
            listItem : "SafeProgramsStartup",
            panel : "panelSafeProgramsStartup",
            oldAction : undefined,
            imageSource: "../common/images/main_window/search/ico_safe_desktop_green.png",
            searchKeys : "SafeProgramsStartupSearchKeys"
        },
        {
            listItem : "SafeWebSitesBrowsing",
            panel : "panelSafeWebSitesBrowsing",
            oldAction : undefined,
            imageSource: "../common/images/main_window/search/ico_safe_browser_green.png",
            searchKeys : "SafeWebSitesBrowsingSearchKeys"
        },
        {
            listItem : "ParentalControl",
            panel : "panelParentalControl",
            oldAction: undefined,
            imageSource: "../common/images/main_window/search/ico_parental_control_green.png",
            searchKeys : "ParentalControlSearchKeys"
        },
        {
            listItem : "NetworkMonitoring",
            panel : undefined,
            oldAction : makeWindowSkinCommand("NetworkMonitor"),
            imageSource: "../common/images/main_window/search/ico_network_monitoring_green.png",
            searchKeys : "NetworkMonitoringSearchKeys"
        },
        {
            listItem : "ProgramsActivity",
            panel : undefined,
            oldAction : makeWindowSkinCommand("SystemMonitor:Programs:Running"),
            imageSource: "../common/images/main_window/search/ico_application_control_green.png",
            searchKeys : "ProgramsActivitySearchKeys"
        },        
];
var kavSpecificSearchData = [
        {
            listItem : "Upgrade",
            panel : "panelUpgrade",
            oldAction: undefined,
            imageSource: "../common/images/main_window/search/ico_product_update_green.png",
            searchKeys : "UpgradeSearchKeys"
        },
];
var settingsSearchData = [
        {
            listItem : "ScanSettings",
            panel : undefined,
            oldAction: makeWindowSkinCommand("OptionsWindow:Scan:Scan"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "ScanSettingsSearchKeys"
        },
        {
            listItem : "FullScanSettings",
            panel : undefined,
            oldAction: makeWindowSkinCommand("OptionsWindow:Scan:Scan_My_Computer"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "FullScanSettingsSearchKeys"
        },
        {
            listItem : "CriticalScanSettings",
            panel : undefined,
            oldAction: makeWindowSkinCommand("OptionsWindow:Scan:Scan_Startup"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "CriticalScanSettingsSearchKeys"
        },
        {
            listItem : "CustomScanSettings",
            panel : undefined,
            oldAction: makeWindowSkinCommand("OptionsWindow:Scan:Scan_Objects"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "CustomScanSettingsSearchKeys"
        },
        {
            listItem : "VulnerabilitiesScanSettings",
            panel : undefined,
            oldAction: makeWindowSkinCommand("OptionsWindow:Scan:Scan_Vulnerabilities"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "VulnerabilitiesScanSettingsSearchKeys"
        },
        {
            listItem : "UpdaterSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Updater"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "UpdaterSettingsSearchKeys"
        },

        {
            listItem : "GeneralProtectionSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:Protection"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "GeneralProtectionSettingsSearchKeys"
        },
        {
            listItem : "File_MonitoringSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:File_Monitoring"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "File_MonitoringSettingsSearchKeys"
        },
        {
            listItem : "Mail_MonitoringSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:Mail_Monitoring"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "Mail_MonitoringSettingsSearchKeys"
        },
        {
            listItem : "Web_MonitoringSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:Web_Monitoring"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "Web_MonitoringSettingsSearchKeys"
        },
        {
            listItem : "IM_MonitoringSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:IM_Monitoring"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "IM_MonitoringSettingsSearchKeys"
        },
        {
            listItem : "SW2Settings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:SW2"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "SW2SettingsSearchKeys"
        },
        {
            listItem : "PdmSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:pdm"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "PdmSettingsSearchKeys"
        },

        {
            listItem : "ThreatsSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Threats"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "ThreatsSettingsSearchKeys"
        },
        {
            listItem : "SelfProtSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:SelfProt"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "SelfProtSettingsSearchKeys"
        },
        {
            listItem : "BatterySettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Battery"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "BatterySettingsSearchKeys"
        },
        {
            listItem : "CompatibilitySettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Compatibility"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "CompatibilitySettingsSearchKeys"
        },
        {
            listItem : "TrafficSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Traffic"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "TrafficSettingsSearchKeys"
        },
        {
            listItem : "NotificationsSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Notifications"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "NotificationsSettingsSearchKeys"
        },
        {
            listItem : "ReportsSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Reports"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "ReportsSettingsSearchKeys"
        },
        {
            listItem : "FeedbackSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Feedback"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "FeedbackSettingsSearchKeys"
        },
        {
            listItem : "ProfilesSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Profiles"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "ProfilesSettingsSearchKeys"
        },
        {
            listItem : "GuiSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Gui"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "GuiSettingsSearchKeys"
        },
        {
            listItem : "ManageSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:Manage"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "ManageSettingsSearchKeys"
        },
];
var kisSpecificSettingsSearchData = [
        {
            listItem : "HipsTaskSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:HipsTask"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "HipsTaskSettingsSearchKeys"
        },
        {
            listItem : "FirewallSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:Firewall"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "FirewallSettingsSearchKeys"
        },
        {
            listItem : "IdsSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:ids"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "IdsSettingsSearchKeys"
        },
        {
            listItem : "Anti_SpamSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:Anti_Spam"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "Anti_SpamSettingsSearchKeys"
        },
        {
            listItem : "AdBlockerSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Protection:AdBlocker"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "AdBlockerSettingsSearchKeys"
        },

        {
            listItem : "ParCtlSettings",
            panel : undefined,
            oldAction : makeWindowSkinCommand("OptionsWindow:Appearance:ParCtl"),
            imageSource: "../common/images/main_window/search/ico_options_green.png",
            searchKeys : "ParCtlSettingsSearchKeys"
        },
];
