import Qt 4.7
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper
import "../common/fonts" as Fonts

MigrationBasePage
{
    objectName: "migrationAppListPage"
    property variant commonFontStyles: Fonts.Common{}
    helpButtonVisible: true

    Text
    {
        anchors.top:parent.top;
        anchors.left:parent.left;
        anchors.right:parent.right;
        id: desc
        text: context.PageDescription
        wrapMode: Text.WordWrap
    }

    ListView
    {
        id:list
        anchors.left: parent.left;
        anchors.right: parent.right;
        anchors.top:desc.bottom;
        anchors.bottom:addRemove.visible ? addRemove.top : parent.bottom;
        anchors.margins:20
        spacing: 4
        model: context.ApplicationsList
        delegate:itemDelegate

        Rectangle
        {
            border.color: "black";
            anchors.fill:parent
            anchors.margins: -5
            color: "transparent"
            radius: 3
        }
    }

    Component
    {
        id: itemDelegate
        Text
        {
            text: model.modelData.name;
            font: commonFontStyles.standardCommonTextFont
        }
    }

    Widgets.GrayButton
    {
		objectName: "OpenRemoveProgramsPanel"
        anchors.margins:8
        anchors.right: parent.right;
        anchors.bottom: parent.bottom;
        id:addRemove
        text: context.Localize("OpenRemoveProgramsPanel");
        onClicked:
        {
			context.UninstallApplicationsAction.Invoke()
        }
        visible: EnumHelper.getKey(context, "CurrentPage") == "SearchManualRemovalApplications";
    }
    function onHelp() { Help.Show((EnumHelper.getKey(context, "CurrentPage") == "SearchManualRemovalApplications") ? 46835 : 46828); }
}
