import Qt 4.7
import "../common/Common.js" as Common
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	caption: MainWindow.Localize("UpgradeProduct")
	property int helpId: 44433
	objectName: "upgradeProduct"

	viewArea: Component
	{
		Item
		{
			property variant commonFontStyles: Fonts.Common{}
			property variant context: MainWindow
			objectName: "viewArea"

			Column
			{
				objectName: "column"
				anchors.top: parent.top;
                anchors.topMargin: 25
				anchors.left: parent.left
				anchors.leftMargin: 30
				anchors.right: parent.right
				anchors.rightMargin: 30

				Widgets.StandardCaptionText
				{
					id: header
                    text: context.Localize("ProductName_KIS_Full")
					width: parent.width
				}

                Item { width: parent.width; height: 6 }

				BorderImage
				{
					source: "../common/images/widgets/separator_horz.png"
					horizontalTileMode: BorderImage.Repeat
					width: parent.width
				}

                Item { width: parent.width; height: 8 }

				Text
				{
                    text: context.Localize("UpgadeToKISHint")
					font: commonFontStyles.standardCommonTextFont
					width: parent.width
					wrapMode: "WordWrap"
				}
				
                Item { width: parent.width; height: 2 }

				Image
				{
					source: "../common/images/widgets/upgrade_items.png"
                    Widgets.DPIScaler { changeSize: true }

					Item
					{
						x: 128
						y: 81
						Text
						{
							anchors.centerIn: parent
							font: commonFontStyles.standardCommonTextFont
							text: context.Localize("ApplicationControl");
							smooth: true
						}
                        Widgets.DPIScaler { changePlace: true }
					}
					Item
					{
						x: 305
						y: 81
						Text
						{
							anchors.centerIn: parent
							font: commonFontStyles.standardCommonTextFont
							text: context.Localize("ParentalControl");
							smooth: true
						}
                        Widgets.DPIScaler { changePlace: true }
					}
					Item
					{
						x: 487
						y: 81
						Text
						{
							anchors.centerIn: parent
							font: commonFontStyles.standardCommonTextFont
							text: context.Localize("SafeProgramsStartup");
							smooth: true
						}
                        Widgets.DPIScaler { changePlace: true }
					}
					Item
					{
						x: 128
						y: 163
						Text
						{
							anchors.centerIn: parent
							font: commonFontStyles.standardCommonTextFont
							text: context.Localize("IDS");
							smooth: true
						}
                        Widgets.DPIScaler { changePlace: true }
					}
					Item
					{
						x: 305
						y: 163
						Text
						{
							anchors.centerIn: parent
							font: commonFontStyles.standardCommonTextFont
							text: context.Localize("Firewall");
							smooth: true
						}
                        Widgets.DPIScaler { changePlace: true }
					}
					Item
					{
						x: 487
						y: 163
						Text
						{
							anchors.centerIn: parent
							font: commonFontStyles.standardCommonTextFont
							text: context.Localize("SecureWirelessConnections");
							smooth: true
						}
                        Widgets.DPIScaler { changePlace: true }
					}

				}
				
                Item { width: parent.width; height: 25 }

				Item
				{
					height: 30
					width: parent.width
					objectName: "buttons"
					
					Widgets.GreenButton
					{
						id: tryKis
						objectName: "TryKis"
						visible: MainWindow.UpgradeToKisAction.IsEnabled;
						text: context.Localize("TryKis");
						onClicked:
						{
							MainWindow.UpgradeToKisAction.Invoke()
						}
					}
					
					Widgets.GrayButton
					{
						id: buyLicense
						objectName: "BuyLicense"
						anchors.right: parent.right
						text: context.Localize("BuyProduct");
						iconImage: "../images/license/ico_buy_16_gray.png"
						onClicked:
						{
							MainWindow.startPage.PurchaseProduct(Common.buildPath(parent)+"."+buyLicense.objectName, true)
						}
					}
					
					Widgets.GrayButton
					{
						id: activateCommercial
						objectName: "ActivateCommercial"
						anchors.right: buyLicense.left
                        anchors.rightMargin: 8
						text: context.Localize("SelectCommercialActivation");
						onClicked:
						{
							MainWindow.online.ActivateProductAction.Invoke()
						}
					}	
				}
			}
		}
	}
}
