import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/Margins.js" as Margins

Item
{
	id: enterPassword
	objectName: "enterPassword"
	width:  parent.width
	height: parent.height
	
	property variant context: MainWindow.parentalControl
	property string error: ""
	property variant commonFontStyles: Fonts.Common{}
	
	function setActiveFocus(delay)
	{
		testPassword.setActiveFocus(delay);
	}
    
	Component.onCompleted:
	{
		context.PasswordEnter.VerifyPassword()
	}
	
	Widgets.StandardCaptionText
	{
		id: header
        y: 120
		anchors.horizontalCenter: parent.horizontalCenter
		text: context.Localize("EnterPassword")
	}
	
	Text
	{
		id: description
		anchors.top: header.bottom
        anchors.topMargin: Margins.verticalCaptionToCommonText
		anchors.horizontalCenter: parent.horizontalCenter
		horizontalAlignment: Text.AlignHCenter
        width:  parent.width - 300
		text: context.Localize("PasswordEnterDescription")
		font: commonFontStyles.standardCommonTextFont
		color: "black"
		wrapMode: Text.Wrap
        lineHeight: Margins.commonTextLineHeight
	}	

	Widgets.EditBox
	{
		id: testPassword
		objectName: "EnterPasswordEditbox"
		anchors.top: description.bottom
        anchors.topMargin: Margins.verticalCommonTextToWidget
		anchors.horizontalCenter: parent.horizontalCenter
		width:  180
        height: 25
		isPassword: true
		text: context.PasswordEnter.Password
		
		Keys.onPressed:
		{
			if (Qt.Key_Tab == event.key)
				login.focus = true;
			else if (Qt.Key_Return == event.key)
				login.doAction();
		}
	}
		
	Binding {target: context.PasswordEnter; property: "Password"; value: testPassword.text }

	Widgets.GrayButton
	{
		id: login
		objectName: "LoginButton"
		anchors.top: testPassword.bottom
        anchors.topMargin: 18
		anchors.horizontalCenter: parent.horizontalCenter
		text: context.Localize("Login")
		onClicked:
		{
			doAction()
		}
		function doAction()
		{
			error = context.PasswordEnter.VerifyPassword() ? "" : context.Localize("PasswordIncorrect")
				
			if (!rememberCheckBox.checked)
				context.PasswordEnter.ResetPassword()
		}
        minWidth: 100
	}

	Text
	{
		anchors.top: login.bottom
		anchors.topMargin: 20
		anchors.horizontalCenter: parent.horizontalCenter
		text: error
		font: commonFontStyles.standardCommonTextFont
		color: "red"
	}
	
	Widgets.CheckBox
	{
		id: rememberCheckBox
		objectName: "rememberCheckBox"
		anchors.bottom: parent.bottom
        anchors.bottomMargin: 35
		anchors.horizontalCenter: parent.horizontalCenter
		text: context.Localize("RememberPassword")
        textVerticalMargin: 1
        horizontalMargin: 5
	}
}
