import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Rectangle
{
	property variant commonFontStyles: Fonts.Common{}
	objectName: "sectionHeader"

	width: parent.width
	color: "white"
	Image {
		anchors.fill: parent
		source: "../common/images/inner/list_background.png"
	}

	property QtObject sectionModel

	// group name
	Text
	{
		anchors.left: parent.left; anchors.leftMargin: 20
		anchors.top: parent.top
		height: parent.height

		font: commonFontStyles.standardBoldSubHeadingFont
		verticalAlignment: Text.AlignVCenter

		text:sectionModel.name
	}
	// group actions
	Row
	{
		property alias model : repeater.model
		objectName: "row"

		anchors.right: parent.right; anchors.rightMargin: 30
		anchors.verticalCenter: parent.verticalCenter
		height:parent.height
		spacing: 20

		Repeater
		{
			id:repeater
			objectName: "repeater"
			model: sectionModel.actions

			Widgets.Hyperlink
			{
				objectName: model.modelData.name
				anchors.verticalCenter: parent.verticalCenter
				text: model.modelData.name
				onClicked: model.modelData.action.Invoke()
			}
		}
	}
	Image
	{
		anchors.top: parent.top
		width: parent.width
		source: "../common/images/inner/list_separator.png"
	}
}

