import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

Item 
{
    width: 7 + 500 + 7
    height: 7 + 200 + 7

	property variant context: Context
	property variant fontStyles: Fonts.SplashWindow{}

	function getLogoImage()
	{
		if (context.productType == 0)
			return "../common/images/splash/logo_kis2012.png";
		else if (context.productType == 1)
			return "../common/images/splash/logo_kav2012.png";
		return "";
	}

	Image // Background image
	{
		x: 0
		y: 0
		source: "../common/images/splash/splash_with_shadow.png"
	}

	Image // Product Title
	{
		id: productLogo
		anchors
		{
			top: parent.top
            topMargin: 7 + 30
			left: parent.left
            leftMargin: 7 + 80
		}
		source: getLogoImage()
	}

	Text
	{
		id: stageName
		anchors
		{
			top: productLogo.bottom
			topMargin: 24
			left: productLogo.left
		}
		font: fontStyles.labelsFont
		text: context.stageName
	}
	
	SplashProgressBar
	{
		anchors
		{
			top: stageName.bottom
			topMargin: 5
			left: productLogo.left
			right: parent.right
            rightMargin: 7 + 30
		}
		percent: context.completionPercent
		visible: !context.isInfiniteProgress;
	}

	Widgets.InfiniteProgressBar
	{
		anchors
		{
			top: stageName.bottom
			topMargin: 5
			left: productLogo.left
			right: parent.right
            rightMargin: 7 + 30
		}
		height: 10
		visible: context.isInfiniteProgress;
	}

	Text
	{
		anchors
		{
			bottom: parent.bottom
            bottomMargin: 7 + 24
			left: productLogo.left
		}
		font: fontStyles.labelsFont
		text: context.copyrightText
	}
}
